Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:    	digital audio workstation 	
Name:      	ardour2
Version:   	2.8.10
Release:   	1
Provides:	ardour
License: 	GNU/GPL
URL:		http://ardour.org
Group:     	Multimedia	
Source0: 	ardour-%{version}.tar.bz2
Source1:        ardour2.desktop
Source2:        ardour2.png
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires:	scons
BuildRequires:  boost-devel
BuildRequires:  curl-devel

BuildRequires:  gtkmm-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  libsigc++-devel

BuildRequires: libxcb-devel
BuildRequires: xcb-util-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gir-repository-devel
BuildRequires: libffi-devel

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: aubio-devel
BuildRequires: cairo-devel
BuildRequires: curl-devel
BuildRequires: fftw-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libgcc
BuildRequires: libgnomecanvas-devel
BuildRequires: liblo-devel
BuildRequires: liblrdf-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++-devel
BuildRequires: libusb-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: pango-devel
BuildRequires: raptor-devel
BuildRequires: rasqal-devel
BuildRequires: redland-devel
BuildRequires: lv2core-devel
BuildRequires: slv2-devel
BuildRequires: zlib-devel

%description
Ardour2 is a digital audio workstation. You can use it to record, edit and mix multi-track audio. Produce your own CD's. Mix video soundtracks. Experiment with new ideas about music and sound. Generate sound installations for 12 speaker gallery shows.

Ardour2 capabilities include: multichannel recording, non-linear, non-destructive region based editing with unlimited undo/redo, full automation support, a mixer whose capabilities rival high end hardware consoles, lots of plugins to warp, shift and shape your music, and controllable from hardware control surfaces at the same time as it syncs to timecode. If you've been looking for a tool similar to ProTools, Nuendo, Cubase SX, Digital Performer, Samplitude or Sequoia, you might have found it.

Ardour2 is the gtk2 port of Ardour. Apart from the shift to gtk2 it provides Control Surface Architecture, OSC Support, Redone Soundfile Browser/Importer, Saved Undo, UI revamped to better expose functionality: new toolbar, better menus, Destructive Recording and 64-bit soundformats: WAV64, CAF

If you are using this software, please consider donating money to the author at http://ardour.org/node to help funding further development.

%post
ldconfig


%preun

%postun
ldconfig


%prep
%setup -qn ardour-%{version}

%build
scons FREESOUND=1 PREFIX=%_prefix

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
scons install PREFIX=%_prefix DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 %{SOURCE2}  $RPM_BUILD_ROOT/usr/share/pixmaps/

mkdir -p $RPM_BUILD_ROOT/usr/share/applications
install -m 644 %{SOURCE1}  $RPM_BUILD_ROOT/usr/share/applications/


%files
%defattr(-,root,root)
%{_sysconfdir}/ardour2
%{_bindir}/ardour2
%{_libdir}/ardour2
%{_applications}/ardour2.desktop
%{_datadir}/ardour2
%{_locale}/*/LC_MESSAGES/gtk2_ardour.mo
%{_locale}/*/LC_MESSAGES/libardour2.mo
%{_locale}/*/LC_MESSAGES/libgtkmm2ext.mo
%{_pixmaps}/ardour2.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jun 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.8.10-1
- Version update
* Sun Mar 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.8.7-1
- Version update
* Tue Jul 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.5-1
- Version update
* Fri Apr 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-1
- Version update
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.2-1
- Version update
* Wed Oct 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1-1
- Version update
* Sun Apr 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0rc1-1
- Version update
* Thu Sep 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0alpha2-1
- Initial Release
